Summary:	A magnatune browser plugin for gmpc
Name:		gmpc-magnatune
Version:	11.8.16
Release:	%mkrel 7
License:	GPLv2+
Group:		Sound/Players
Url:		http://gmpc.wikia.com/wiki/Magnatune
Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(glib-2.0) >= 2.16
BuildRequires: pkgconfig(gobject-2.0) >= 2.4
BuildRequires: pkgconfig(gtk+-2.0) >= 2.4
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(libmpd) >= 0.15.98
BuildRequires: pkgconfig(gmpc) > 0.20.2
BuildRequires: pkgconfig(sqlite3)
BuildRequires:	intltool
Requires:	gmpc

%description
The magnatune plugin provides an interface to the 
www.magnatune.com website. The plugin allows you 
to browse, and preview available albums.
(It uses the 128kbit mp3 version).The magnatune 
plugin provides a double function, it also uses 
the data from the magnatune website to fetch 
cover art.

%prep
%setup -q

%build
%configure2_5x CPPFLAGS=-D_XOPEN_SOURCE=700
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/gmpc/plugins/*.la

%files
%{_datadir}/gmpc/plugins/magnatune
%{_libdir}/gmpc/plugins/magnatuneplugin.so


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 11.8.16-7.mga6
+ Revision: 936606
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 11.8.16-6.mga5
+ Revision: 743537
- Second Mageia 5 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 11.8.16-5.mga5
+ Revision: 739018
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 11.8.16-4.mga4
+ Revision: 504984
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 11.8.16-3.mga3
+ Revision: 351916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 malo <malo> 11.8.16-2.mga3
+ Revision: 322815
- update RPM group

* Wed Jan 04 2012 fwang <fwang> 11.8.16-1.mga2
+ Revision: 190722
- new version 11.8.16

* Thu May 12 2011 mikala <mikala> 0.20.0-3.mga1
+ Revision: 97499
- Update URL
- Remove BuildRoot tag
- imported package gmpc-magnatune


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.20.0-2mdv2011.0
+ Revision: 610907
- rebuild

* Mon Apr 05 2010 Funda Wang <fwang@mandriva.org> 0.20.0-1mdv2010.1
+ Revision: 531683
- update to new version 0.20.0

* Mon Dec 28 2009 Funda Wang <fwang@mandriva.org> 0.19.0-1mdv2010.1
+ Revision: 482926
- new version 0.19.0

* Mon May 25 2009 Funda Wang <fwang@mandriva.org> 0.18.0-1mdv2010.0
+ Revision: 379402
- New version 0.18.0

* Sun Jan 04 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.17.0-2mdv2009.1
+ Revision: 324626
- fix installation on x86_64
- update to new version 0.17.0

* Wed Dec 03 2008 Funda Wang <fwang@mandriva.org> 0.16.0-1mdv2009.1
+ Revision: 309577
- move plugins

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - fix file list
    - update to new version 0.16.0

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.15.5.0-3mdv2009.0
+ Revision: 246284
- rebuild

* Wed Jan 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.5.0-1mdv2008.1
+ Revision: 160389
- add spec file
- add source
- Created package structure for gmpc-magnatune.

